from sqlalchemy import Column, Integer, String, DateTime, ForeignKey
from sqlalchemy.sql import func
from app import db  

class Doctor(db.Model):
    __tablename__ = "doctors"
    doctor_id = Column(Integer, primary_key=True)
    doctor_name = Column(String, nullable=True)
    logo = Column(String, nullable=True)
    logo_id = Column(String, nullable=False, default=0)
    gender = Column(String, nullable=True)
    dob = Column(DateTime, nullable=True)
    site_id = Column(Integer, ForeignKey('sites.site_id'))
    device_id = Column(Integer, nullable=False)
    specialization = Column(String, nullable=True)
    email = Column(String, nullable=True)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now())
